function labels = classify_naive_bayes(params, label_probs, test)
    labels = zeros(size(test, 1), 1);
    
    for i=1:size(test, 1)                       
        % Compute conditional probabilities for each class. Note
        % that the parameters are the log probabilities, so we use
        % a sum instead of a product.
        cond_p = sum(params .* repmat(test(i, :), 2, 1), 2);
        
        % Assign each instance its most likely label.
        [A I] = max(cond_p + label_probs);
        labels(i) = I - 1;
    end
