function [label_prob params] = naive_bayes(features, labels)
    
    neginds = find(labels == 0);
    posinds = find(labels == 1);
    
    % Count the empirical number of each label for the class prior parameters
    label_counts = [size(neginds) / size(labels), size(posinds) / size(labels)];
    
    % The multinomial estimates are simply the normalized 
    % document vectors from each class. This estimate uses add-one smoothing.
    params = [(1 + sum(features(neginds, :), 1)) / sum(sum(features(neginds, :), 1) + 1);
              (1 + sum(features(posinds, :), 1)) / sum(sum(features(posinds, :), 1) + 1)];
    
    % Report the parameters in log-space, to prevent numerical
    % underflow at classification time.
    params = log(params);    
    label_prob = log(label_counts');
