% Load the training and test data
[train, train_labels] = load_data('train');
[test, test_labels] = load_data('test');

% Run naive bayes
[nb_label_probs, nb_params] = naive_bayes(train, train_labels);
nb_train_labels = classify_naive_bayes(nb_params, nb_label_probs, train);
nb_labels = classify_naive_bayes(nb_params, nb_label_probs, test);

fprintf('NB Training Accuracy: %.02f\n', size(find(nb_train_labels == train_labels), 1) / size(train_labels, 1));
fprintf('NB Test Accuracy: %.02f\n', size(find(nb_labels == test_labels), 1) / size(test_labels, 1));

% Run logistic regression
[lr_offset, lr_weights] = train_logistic_regression(train, train_labels, .0001, .001, 0);
lr_train_labels = run_logistic_regression(lr_offset, lr_weights, train);
lr_labels = run_logistic_regression(lr_offset, lr_weights, test);

fprintf('LR Training Accuracy: %.02f\n', size(find(lr_train_labels == train_labels), 1) / size(train_labels, 1));
fprintf('LR Test Accuracy: %.02f\n', size(find(lr_labels == test_labels), 1) / size(test_labels, 1));